module Help where

help :: String
help = "\SYNOPSIS\
\\
\  explore image legend tolerance scan-area interval [translation]\
\\
\\
\DESCRIPTION\
\\
\\
\   image         the image file to scan, it should be a 32-bit PNG with an alpha\
\                 channel\
\\
\\
\\
\   legend        the legend file that contains a list of names and base line\
\                 colors in this format\
\\
\                  [(\"Frame\", RGBA 255 0 0 255),(\"Line\",  RGBA 0 0 255 255)]\
\\
\\
\\
\   tolerance     how much color components can deviate from base colors\
\               \
\                  S            strict: allow no deviation         (= TC 0 0 0 0)\
\\
\                  TA m         maximum delta for all components   (= TC m m m m)\
\\
\                  TC r g b a   individiual maximum delta values\
\                               for corresponding components\
\\
\\
\\
\   scan-area     which part of the image is to be scanned\
\\
\                                            (w = image width, h = image height)\
\\
\                  F            all image area                  (= B 0 0 w h)\
\\
\                  O l t        offset from left and top        (= B l t w h)\
\\
\                  M l t r b    margins from left, top,         (= B l t w-r h-b)\
\                               right and bottom\
\\
\                  B l t r b    a plot box; with left, top, right and bottom\
\                               positions in pixels\
\\
\\
\\
\   interval      horizontal scan interval in pixels, this value is read as\
\                 a floating point number so you can give 4,5 for a scan\
\\
\ \
\  \
\   translation   2d translation to be applied to the output pixels\
\\
\                  Identity     output pixels exactly as they are located\
\                               in the input image; old default with full\
\                               scan area\
\\
\                  Box Bottom   output pixel positions relevant to the left\
\                               and bottom lines of the plot box; new default\
\\
\                  Box Top      output pixel positions relevant to the left\
\                               and top lines of the plot box\
\\
\\
\HISTORY\
\\
\  0.0.6\
\  - Added basic 2D translation support\
\  - Changed default 2D translation from Identity to \"Box Bottom\"\
\    To get old behaviour from previous versions: use Identity\
\\
\  0.0.5\
\  - First version created in collaboration with An Le Thi Thanh\
\\
\\
\KNOWN ISSUES\
\\
\  - It is only a very early hack ^__^\"!!\
\  - Line occlusion causes matches to fail.\
\  - Supports only 32-bit PNGs (with an alpha/transparency channel).\
\  - No automatic recognition whatsoever of figures/plots given\
\    a full page. Lots of happy moments with Gimp and Inkscape!!\
\\
\\
\EXAMPLES\
\\
\  - The example plots provided with this package are from:\
\\
\      Incorporating Environmental factors in\
\      Modelling Malaria Transmission in under five\
\      children in Rural Burkina Faso\
\\
\      Inaugural Dissertation to attain the degree of\
\      Doctor Scientiarum humanarum (Dr. Sc. Hum.)\
\\
\      At the Medical Faculty of Ruprecht-Karls-University\
\      Heidelberg\
\\
\      submitted by Yazoumé Yé\
\\
\      from Sayoro, Burkina Faso\
\      September 2005\
\\
\\
\  - To create the example outputs:\
\\
\      explore 39-cisse-x.png 39-legend \"TC 100 150 150 150\" F 20.83 Identity\
\      explore 39-goni-x.png  39-legend \"TC 100 150 150 150\" F 20.83 Identity\
\      explore 39-nouna-x.png 39-legend \"TC 100 150 150 150\" F 20.83 Identity\
\\
\\
\CONTACT\
\\
\  Cetin Sert, <cetin.sert@gmail.com>"
